<?php

namespace App\Database\Migrations;

use CodeIgniter\Database\Migration;

class CreateClassroomsTable extends Migration
{
    public function up()
    {
        $this->forge->addField([
            'id'         => ['type' => 'BIGINT', 'unsigned' => true, 'auto_increment' => true],
            'name'       => ['type' => 'VARCHAR', 'constraint' => 50],
            'grade_id'   => ['type' => 'BIGINT', 'unsigned' => true],
            'major_id'   => ['type' => 'BIGINT', 'unsigned' => true, 'null' => true],
            'capacity'   => ['type' => 'TINYINT', 'default' => 30],
            'created_at' => ['type' => 'DATETIME', 'null' => true],
            'updated_at' => ['type' => 'DATETIME', 'null' => true],
            'deleted_at' => ['type' => 'DATETIME', 'null' => true],
        ]);
        $this->forge->addPrimaryKey('id');
        $this->forge->addForeignKey('grade_id', 'grades', 'id', 'CASCADE', 'CASCADE');
        $this->forge->createTable('classrooms');
    }

    public function down()
    {
        $this->forge->dropTable('classrooms');
    }
}